## Update Many Routes `client.MagicTransit.Routes.BulkUpdate(ctx, params) (*RouteBulkUpdateResponse, error)` **put** `/accounts/{account_id}/magic/routes` Update multiple Magic static routes. Use `?validate_only=true` as an optional query parameter to run validation only without persisting changes. Only fields for a route that need to be changed need be provided. ### Parameters - `params RouteBulkUpdateParams` - `AccountID param.Field[string]` Path param: Identifier - `Routes param.Field[[]RouteBulkUpdateParamsRoute]` Body param - `ID string` Identifier - `Nexthop string` The next-hop IP Address for the static route. - `Prefix string` IP Prefix in Classless Inter-Domain Routing format. - `Priority int64` Priority of the static route. - `Description string` An optional human provided description of the static route. - `Scope Scope` Used only for ECMP routes. - `ColoNames []string` List of colo names for the ECMP scope. - `ColoRegions []string` List of colo regions for the ECMP scope. - `Weight int64` Optional weight of the ECMP scope - if provided. ### Returns - `type RouteBulkUpdateResponse struct{…}` - `Modified bool` - `ModifiedRoutes []RouteBulkUpdateResponseModifiedRoute` - `ID string` Identifier - `Nexthop string` The next-hop IP Address for the static route. - `Prefix string` IP Prefix in Classless Inter-Domain Routing format. - `Priority int64` Priority of the static route. - `CreatedOn Time` When the route was created. - `Description string` An optional human provided description of the static route. - `ModifiedOn Time` When the route was last modified. - `Scope Scope` Used only for ECMP routes. - `ColoNames []string` List of colo names for the ECMP scope. - `ColoRegions []string` List of colo regions for the ECMP scope. - `Weight int64` Optional weight of the ECMP scope - if provided. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/magic_transit" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.MagicTransit.Routes.BulkUpdate(context.TODO(), magic_transit.RouteBulkUpdateParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), Routes: cloudflare.F([]magic_transit.RouteBulkUpdateParamsRoute{magic_transit.RouteBulkUpdateParamsRoute{ ID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), Nexthop: cloudflare.F("203.0.113.1"), Prefix: cloudflare.F("192.0.2.0/24"), Priority: cloudflare.F(int64(0)), }}), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.Modified) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "modified": true, "modified_routes": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "nexthop": "203.0.113.1", "prefix": "192.0.2.0/24", "priority": 0, "created_on": "2017-06-14T00:00:00Z", "description": "New route for new prefix 203.0.113.1", "modified_on": "2017-06-14T05:20:00Z", "scope": { "colo_names": [ "den01" ], "colo_regions": [ "APAC" ] }, "weight": 0 } ] }, "success": true } ```